Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.asn1
Class DERTaggedObject

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.DERObject
              org.bouncycastle.asn1.ASN1Object
                  org.bouncycastle.asn1.ASN1TaggedObject
                      org.bouncycastle.asn1.DERTaggedObject

All Implemented Interfaces:
  ASN1TaggedObjectParser, DEREncodable, DERTags

Direct Known Subclasses:
  BERTaggedObject

    public class DERTaggedObject

extends ASN1TaggedObject

DER TaggedObject - in ASN.1 notation this is any object preceded by a [n] where n is some number - these are assumed to follow the construction rules (as with sequences).

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERTaggedObject(boolean explicit, int tagNo, DEREncodable obj)`
`DERTaggedObject(int tagNo)` create an implicitly tagged object that contains a zero length sequence.
`DERTaggedObject(int tagNo, DEREncodable obj)`

Method Summary

Methods inherited from class org.bouncycastle.asn1.ASN1TaggedObject
`getInstance, getInstance, getObject, getObjectParser, getTagNo, hashCode, isEmpty, isExplicit, toString`

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`equals, fromByteArray`

Methods inherited from class org.bouncycastle.asn1.DERObject
`toASN1Object`

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`getDEREncoded, getDERObject, getEncoded, getEncoded`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.bouncycastle.asn1.DEREncodable
`getDERObject`

Constructor Detail

### DERTaggedObject

    public DERTaggedObject(int tagNo,
                           DEREncodable obj)

Parameters:
  `tagNo` - the tag number for this object.
  `obj` - the tagged object.

### DERTaggedObject

    public DERTaggedObject(boolean explicit,
                           int tagNo,
                           DEREncodable obj)

Parameters:
  `explicit` - true if an explicitly tagged object.
  `tagNo` - the tag number for this object.
  `obj` - the tagged object.

### DERTaggedObject

    public DERTaggedObject(int tagNo)

  create an implicitly tagged object that contains a zero length sequence.

Bouncy Castle Cryptography Library 1.45